package _VisualDVM.Visual.Windows;
import Common.Database.Objects.DBForm.DBForm;
import Common.Visual.SavedForm;
import Common.Visual.Windows.Dialog.Dialog;
import _VisualDVM.Global;
public class ProfilesForm extends Dialog<Object, ProfilesFields> implements SavedForm {
    private DBForm info = null;
    public ProfilesForm() {
        super(ProfilesFields.class);
    }
    @Override
    public boolean NeedsScroll() {
        return false;
    }
    @Override
    public void CreateButtons() {
    }
    @Override
    public void Init(Object... params) {
        if ((Global.mainModule.getDb()).sapforProfiles.size() > 0) {
            for (Object key : (Global.mainModule.getDb()).sapforProfiles.Data.keySet()) {
                (Global.mainModule.getDb()).sapforProfiles.ShowUI(key);
                return;
            }
        } else {
            (Global.mainModule.getDb()).sapforProfiles.ShowUI();
        }
    }
    @Override
    public int getDefaultWidth() {
        return 400;
    }
    @Override
    public int getDefaultHeight() {
        return 300;
    }
    @Override
    public void CreateContent() {
        super.CreateContent();
        fields.LoadSplitters();
        LoadWindowParameters();
    }
    @Override
    public void onClose() {
        fields.SaveSplitters();
        SaveWindowParameters();
    }
    @Override
    public String getFormKey() {
        return "Profiles"; //можно было бы через имя класса
    }
}
